# Makefile.in generated by automake 1.16.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@

# Don't use MSVCRC's vsnprintf() implementation. It has a different
# behavior for double value with vsnprintf("%#.*g", DBL_DIG + 1,
# value) with the glibc's implementation and the UCRT's
# implementation.
@PLATFORM_WIN32_TRUE@am__append_1 = \
@PLATFORM_WIN32_TRUE@	-D__USE_MINGW_ANSI_STDIO=1

@WITH_MRUBY_TRUE@am__append_2 = \
@WITH_MRUBY_TRUE@	../vendor/mruby/libmruby.la

noinst_PROGRAMS = nfkc_dump$(EXEEXT)
@PLATFORM_WIN32_TRUE@am__append_3 = \
@PLATFORM_WIN32_TRUE@	metadata.rc

subdir = lib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/base_version \
	$(top_srcdir)/build/ac_macros/check_headers.m4 \
	$(top_srcdir)/build/ac_macros/check_functions.m4 \
	$(top_srcdir)/bundled_rapidjson_version \
	$(top_srcdir)/bundled_mecab_version \
	$(top_srcdir)/bundled_mecab_naist_jdic_version \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = metadata.rc
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
libgroonga_la_DEPENDENCIES = dat/libgrndat.la mrb/libgrnmrb.la \
	proc/libgrnproc.la $(am__DEPENDENCIES_1) $(am__append_2) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am__libgroonga_la_SOURCES_DIST = accessor.c aggregators.c alloc.c \
	applier.c cache.c column.c com.c command.c compressor.c \
	config.c ctx_impl_lua.c ctx_impl_mrb.c db.c dump.c encoding.c \
	error.c expr.c expr_code.c extractor.c extractors.c \
	file_lock.c file_reader.c float.c generated_column.c geo.c \
	grn.h grn_accessor.h grn_aggregators.h grn_alloc.h \
	grn_applier.h grn_arrow.h grn_bulk.h grn_cache.h grn_cast.h \
	grn_column.h grn_com.h grn_compressor.h grn_config.h grn_ctx.h \
	grn_ctx_impl.h grn_ctx_impl_lua.h grn_ctx_impl_mrb.h grn_dat.h \
	grn_db.h grn_distance.h grn_encoding.h grn_error.h grn_expr.h \
	grn_expr_code.h grn_expr_executor.h grn_extractor.h \
	grn_extractors.h grn_file_lock.h grn_float.h \
	grn_generated_column.h grn_geo.h grn_group.h grn_hash.h \
	grn_http_client.h grn_ii.h grn_ii_select_cursor.h \
	grn_index_column.h grn_index_cursor.h grn_io.h grn_load.h \
	grn_logger.h grn_mrb.h grn_msgpack.h grn_nfkc.h \
	grn_normalizer.h grn_obj.h grn_onigmo.h grn_options.h \
	grn_output.h grn_output_columns.h grn_pat.h grn_plugin.h \
	grn_portability.h grn_posting.h grn_proc.h grn_progress.h \
	grn_progress_logger.h grn_report.h grn_request_canceler.h \
	grn_request_timer.h grn_romaji.h grn_rset.h grn_scan_info.h \
	grn_scanner.h grn_scorer.h grn_scorers.h grn_selector.h \
	grn_slow_log.h grn_snip.h grn_sort.h grn_sorter.h grn_store.h \
	grn_str.h grn_string.h grn_table.h grn_table_module.h \
	grn_table_selector.h grn_time.h grn_token.h grn_token_column.h \
	grn_token_cursor.h grn_token_filters.h grn_token_metadata.h \
	grn_tokenizer.h grn_tokenizers.h grn_type.h grn_util.h \
	grn_vector.h grn_wal.h grn_window_function.h \
	grn_window_function_executor.h grn_window_functions.h \
	grn_windows.h group.c h3.c hash.c highlighter.c http_client.c \
	id.c index_column.c index_cursor.c io.c load.c logger.c \
	memory.c memory_map.c mrb.c msgpack.c nfkc.c nfkc100.c \
	nfkc121.c nfkc130.c nfkc150.c nfkc160.c nfkc50.c normalizer.c \
	obj.c onigmo.c operator.c options.c output.c output_columns.c \
	pat.c plugin.c posting.c proc.c progress.c progress_logger.c \
	raw_string.c report.c request_canceler.c request_timer.c \
	romaji.c rset.c scanner.c scorer.c scorers.c selector.c \
	slow_log.c snip.c sort.c sorter.c store.c str.c string.c \
	table.c table_module.c table_selector.c thread.c time.c \
	token.c token_cursor.c token_filter.c token_filters.c \
	token_metadata.c tokenizer.c tokenizers.c type.c util.c wal.c \
	window_function.c window_functions.c windows.c \
	windows_event_logger.c arrow.cpp bulk.cpp cast.cpp \
	command_arguments.cpp ctx.cpp dat.cpp db_wal_recover.cpp \
	distance.cpp expr_executor.cpp grn_arrow.hpp grn_ctx.hpp \
	grn_distance.hpp grn_distance_impl.hpp \
	grn_distance_instantiation.hpp grn_language_model.hpp \
	grn_task_executor.hpp ii.cpp json.cpp language_model.cpp \
	portability.cpp token_column.cpp trace_log.cpp vector.cpp \
	window_function_executor.cpp metadata.rc
am__objects_1 = accessor.lo aggregators.lo alloc.lo applier.lo \
	cache.lo column.lo com.lo command.lo compressor.lo config.lo \
	ctx_impl_lua.lo ctx_impl_mrb.lo db.lo dump.lo encoding.lo \
	error.lo expr.lo expr_code.lo extractor.lo extractors.lo \
	file_lock.lo file_reader.lo float.lo generated_column.lo \
	geo.lo group.lo h3.lo hash.lo highlighter.lo http_client.lo \
	id.lo index_column.lo index_cursor.lo io.lo load.lo logger.lo \
	memory.lo memory_map.lo mrb.lo msgpack.lo nfkc.lo nfkc100.lo \
	nfkc121.lo nfkc130.lo nfkc150.lo nfkc160.lo nfkc50.lo \
	normalizer.lo obj.lo onigmo.lo operator.lo options.lo \
	output.lo output_columns.lo pat.lo plugin.lo posting.lo \
	proc.lo progress.lo progress_logger.lo raw_string.lo report.lo \
	request_canceler.lo request_timer.lo romaji.lo rset.lo \
	scanner.lo scorer.lo scorers.lo selector.lo slow_log.lo \
	snip.lo sort.lo sorter.lo store.lo str.lo string.lo table.lo \
	table_module.lo table_selector.lo thread.lo time.lo token.lo \
	token_cursor.lo token_filter.lo token_filters.lo \
	token_metadata.lo tokenizer.lo tokenizers.lo type.lo util.lo \
	wal.lo window_function.lo window_functions.lo windows.lo \
	windows_event_logger.lo
am__objects_2 = arrow.lo bulk.lo cast.lo command_arguments.lo ctx.lo \
	dat.lo db_wal_recover.lo distance.lo expr_executor.lo ii.lo \
	json.lo language_model.lo portability.lo token_column.lo \
	trace_log.lo vector.lo window_function_executor.lo
@PLATFORM_WIN32_TRUE@am__objects_3 = metadata.lo
am_libgroonga_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
	$(am__objects_3)
libgroonga_la_OBJECTS = $(am_libgroonga_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
libgroonga_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(libgroonga_la_LDFLAGS) $(LDFLAGS) \
	-o $@
am_nfkc_dump_OBJECTS = nfkc_dump.$(OBJEXT)
nfkc_dump_OBJECTS = $(am_nfkc_dump_OBJECTS)
nfkc_dump_DEPENDENCIES = libgroonga.la
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/accessor.Plo \
	./$(DEPDIR)/aggregators.Plo ./$(DEPDIR)/alloc.Plo \
	./$(DEPDIR)/applier.Plo ./$(DEPDIR)/arrow.Plo \
	./$(DEPDIR)/bulk.Plo ./$(DEPDIR)/cache.Plo \
	./$(DEPDIR)/cast.Plo ./$(DEPDIR)/column.Plo \
	./$(DEPDIR)/com.Plo ./$(DEPDIR)/command.Plo \
	./$(DEPDIR)/command_arguments.Plo ./$(DEPDIR)/compressor.Plo \
	./$(DEPDIR)/config.Plo ./$(DEPDIR)/ctx.Plo \
	./$(DEPDIR)/ctx_impl_lua.Plo ./$(DEPDIR)/ctx_impl_mrb.Plo \
	./$(DEPDIR)/dat.Plo ./$(DEPDIR)/db.Plo \
	./$(DEPDIR)/db_wal_recover.Plo ./$(DEPDIR)/distance.Plo \
	./$(DEPDIR)/dump.Plo ./$(DEPDIR)/encoding.Plo \
	./$(DEPDIR)/error.Plo ./$(DEPDIR)/expr.Plo \
	./$(DEPDIR)/expr_code.Plo ./$(DEPDIR)/expr_executor.Plo \
	./$(DEPDIR)/extractor.Plo ./$(DEPDIR)/extractors.Plo \
	./$(DEPDIR)/file_lock.Plo ./$(DEPDIR)/file_reader.Plo \
	./$(DEPDIR)/float.Plo ./$(DEPDIR)/generated_column.Plo \
	./$(DEPDIR)/geo.Plo ./$(DEPDIR)/group.Plo ./$(DEPDIR)/h3.Plo \
	./$(DEPDIR)/hash.Plo ./$(DEPDIR)/highlighter.Plo \
	./$(DEPDIR)/http_client.Plo ./$(DEPDIR)/id.Plo \
	./$(DEPDIR)/ii.Plo ./$(DEPDIR)/index_column.Plo \
	./$(DEPDIR)/index_cursor.Plo ./$(DEPDIR)/io.Plo \
	./$(DEPDIR)/json.Plo ./$(DEPDIR)/language_model.Plo \
	./$(DEPDIR)/load.Plo ./$(DEPDIR)/logger.Plo \
	./$(DEPDIR)/memory.Plo ./$(DEPDIR)/memory_map.Plo \
	./$(DEPDIR)/mrb.Plo ./$(DEPDIR)/msgpack.Plo \
	./$(DEPDIR)/nfkc.Plo ./$(DEPDIR)/nfkc100.Plo \
	./$(DEPDIR)/nfkc121.Plo ./$(DEPDIR)/nfkc130.Plo \
	./$(DEPDIR)/nfkc150.Plo ./$(DEPDIR)/nfkc160.Plo \
	./$(DEPDIR)/nfkc50.Plo ./$(DEPDIR)/nfkc_dump.Po \
	./$(DEPDIR)/nonexistent.Po ./$(DEPDIR)/normalizer.Plo \
	./$(DEPDIR)/obj.Plo ./$(DEPDIR)/onigmo.Plo \
	./$(DEPDIR)/operator.Plo ./$(DEPDIR)/options.Plo \
	./$(DEPDIR)/output.Plo ./$(DEPDIR)/output_columns.Plo \
	./$(DEPDIR)/pat.Plo ./$(DEPDIR)/plugin.Plo \
	./$(DEPDIR)/portability.Plo ./$(DEPDIR)/posting.Plo \
	./$(DEPDIR)/proc.Plo ./$(DEPDIR)/progress.Plo \
	./$(DEPDIR)/progress_logger.Plo ./$(DEPDIR)/raw_string.Plo \
	./$(DEPDIR)/report.Plo ./$(DEPDIR)/request_canceler.Plo \
	./$(DEPDIR)/request_timer.Plo ./$(DEPDIR)/romaji.Plo \
	./$(DEPDIR)/rset.Plo ./$(DEPDIR)/scanner.Plo \
	./$(DEPDIR)/scorer.Plo ./$(DEPDIR)/scorers.Plo \
	./$(DEPDIR)/selector.Plo ./$(DEPDIR)/slow_log.Plo \
	./$(DEPDIR)/snip.Plo ./$(DEPDIR)/sort.Plo \
	./$(DEPDIR)/sorter.Plo ./$(DEPDIR)/store.Plo \
	./$(DEPDIR)/str.Plo ./$(DEPDIR)/string.Plo \
	./$(DEPDIR)/table.Plo ./$(DEPDIR)/table_module.Plo \
	./$(DEPDIR)/table_selector.Plo ./$(DEPDIR)/thread.Plo \
	./$(DEPDIR)/time.Plo ./$(DEPDIR)/token.Plo \
	./$(DEPDIR)/token_column.Plo ./$(DEPDIR)/token_cursor.Plo \
	./$(DEPDIR)/token_filter.Plo ./$(DEPDIR)/token_filters.Plo \
	./$(DEPDIR)/token_metadata.Plo ./$(DEPDIR)/tokenizer.Plo \
	./$(DEPDIR)/tokenizers.Plo ./$(DEPDIR)/trace_log.Plo \
	./$(DEPDIR)/type.Plo ./$(DEPDIR)/util.Plo \
	./$(DEPDIR)/vector.Plo ./$(DEPDIR)/wal.Plo \
	./$(DEPDIR)/window_function.Plo \
	./$(DEPDIR)/window_function_executor.Plo \
	./$(DEPDIR)/window_functions.Plo ./$(DEPDIR)/windows.Plo \
	./$(DEPDIR)/windows_event_logger.Plo
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libgroonga_la_SOURCES) $(nfkc_dump_SOURCES) \
	$(nodist_EXTRA_nfkc_dump_SOURCES)
DIST_SOURCES = $(am__libgroonga_la_SOURCES_DIST) $(nfkc_dump_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__extra_recursive_targets = markdown-recursive text-recursive
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/c_sources.am \
	$(srcdir)/cpp_sources.am $(srcdir)/metadata.rc.in \
	$(top_srcdir)/depcomp $(top_srcdir)/version.sh
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
APACHE_ARROW_CFLAGS = @APACHE_ARROW_CFLAGS@
APACHE_ARROW_LIBS = @APACHE_ARROW_LIBS@
AR = @AR@
AS = @AS@
ATOMIC_LIBS = @ATOMIC_LIBS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BUNDLED_MECAB_NAIST_JDIC_VERSION = @BUNDLED_MECAB_NAIST_JDIC_VERSION@
BUNDLED_MECAB_VERSION = @BUNDLED_MECAB_VERSION@
BUNDLED_RAPIDJSON_VERSION = @BUNDLED_RAPIDJSON_VERSION@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPPFLAGS = @CPPFLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@ -D_REENTRANT $(GRN_DEFS) -DGRN_DAT_EXPORT
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOCUMENT_VERSION = @DOCUMENT_VERSION@
DOCUMENT_VERSION_FULL = @DOCUMENT_VERSION_FULL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
FILECMD = @FILECMD@
GREP = @GREP@
GRN_CFLAGS = @GRN_CFLAGS@
GRN_DEFAULT_DOCUMENT_ROOT = @GRN_DEFAULT_DOCUMENT_ROOT@
GRN_DEFAULT_DOCUMENT_ROOT_BASE = @GRN_DEFAULT_DOCUMENT_ROOT_BASE@
GRN_DEFAULT_RELATIVE_DOCUMENT_ROOT = @GRN_DEFAULT_RELATIVE_DOCUMENT_ROOT@
GRN_DEFS = @GRN_DEFS@
GRN_DLL_FILENAME = @GRN_DLL_FILENAME@
GRN_EXPANDED_DEFAULT_DOCUMENT_ROOT = @GRN_EXPANDED_DEFAULT_DOCUMENT_ROOT@
GRN_VERSION = @GRN_VERSION@
GRN_VERSION_FULL = 16.0.5
GRN_VERSION_MAJOR = @GRN_VERSION_MAJOR@
GRN_VERSION_MICRO = @GRN_VERSION_MICRO@
GRN_VERSION_MINOR = @GRN_VERSION_MINOR@
GRN_VERSION_RC = @GRN_VERSION_RC@
GRN_WITH_MRUBY = @GRN_WITH_MRUBY@
GRN_WITH_ONIGMO = @GRN_WITH_ONIGMO@
GRN_WITH_ZLIB = @GRN_WITH_ZLIB@
GROONGA = @GROONGA@
GROONGA_BENCHMARK = @GROONGA_BENCHMARK@
GROONGA_MRUBY = @GROONGA_MRUBY@
GROONGA_ORG_PATH = @GROONGA_ORG_PATH@
GROONGA_SUGGEST_CREATE_DATASET = @GROONGA_SUGGEST_CREATE_DATASET@
HAVE_CXX17 = @HAVE_CXX17@
HAVE_CXX20 = @HAVE_CXX20@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KYTEA_CFLAGS = @KYTEA_CFLAGS@
KYTEA_LIBS = @KYTEA_LIBS@
LAUNCHPAD_PPA = @LAUNCHPAD_PPA@
LAUNCHPAD_UPLOADER_PGP_KEY = @LAUNCHPAD_UPLOADER_PGP_KEY@
LD = @LD@
LDFLAGS = @LDFLAGS@
LEMON = @LEMON@
LIBEDIT_CFLAGS = @LIBEDIT_CFLAGS@
LIBEDIT_LIBS = @LIBEDIT_LIBS@
LIBEVENT_CFLAGS = @LIBEVENT_CFLAGS@
LIBEVENT_LIBS = @LIBEVENT_LIBS@
LIBLZ4_CFLAGS = @LIBLZ4_CFLAGS@
LIBLZ4_LIBS = @LIBLZ4_LIBS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBSTEMMER_CFLAGS = @LIBSTEMMER_CFLAGS@
LIBSTEMMER_LDFLAGS = @LIBSTEMMER_LDFLAGS@
LIBSTEMMER_LIBS = @LIBSTEMMER_LIBS@
LIBTOOL = @LIBTOOL@
LIBXXHASH_CFLAGS = @LIBXXHASH_CFLAGS@
LIBXXHASH_LIBS = @LIBXXHASH_LIBS@
LIBZMQ_CFLAGS = @LIBZMQ_CFLAGS@
LIBZMQ_LIBS = @LIBZMQ_LIBS@
LIBZSTD_CFLAGS = @LIBZSTD_CFLAGS@
LIBZSTD_LIBS = @LIBZSTD_LIBS@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_AGE = @LT_AGE@
LT_CURRENT = @LT_CURRENT@
LT_REVISION = @LT_REVISION@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
LT_VERSION_INFO = @LT_VERSION_INFO@
LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
LUAJIT_LIBS = @LUAJIT_LIBS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MECAB_CONFIG = @MECAB_CONFIG@
MECAB_CPPFLAGS = @MECAB_CPPFLAGS@
MECAB_LDFLAGS = @MECAB_LDFLAGS@
MECAB_LIBS = @MECAB_LIBS@
MESSAGE_PACK_CFLAGS = @MESSAGE_PACK_CFLAGS@
MESSAGE_PACK_LIBS = @MESSAGE_PACK_LIBS@
MKDIR_P = @MKDIR_P@
MRUBY_CFLAGS = @MRUBY_CFLAGS@
MRUBY_CPPFLAGS = @MRUBY_CPPFLAGS@
NM = @NM@
NMEDIT = @NMEDIT@
NO_BAD_FUNCTION_CAST_CFLAGS = @NO_BAD_FUNCTION_CAST_CFLAGS@
NO_FLOAT_EQUAL_CFLAGS = @NO_FLOAT_EQUAL_CFLAGS@
NO_MISSING_FIELD_INITIALIZES_CFLAGS = @NO_MISSING_FIELD_INITIALIZES_CFLAGS@
NO_STRICT_ALIASING_CFLAGS = @NO_STRICT_ALIASING_CFLAGS@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
ONIGMO_CFLAGS = @ONIGMO_CFLAGS@
ONIGMO_LIBS = @ONIGMO_LIBS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_LABEL = @PACKAGE_LABEL@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
RANLIB = @RANLIB@
RAPIDJSON_CFLAGS = @RAPIDJSON_CFLAGS@
RAPIDJSON_LIBS = @RAPIDJSON_LIBS@
RC = @RC@
RSYNC_PATH = @RSYNC_PATH@
RUBY = @RUBY@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SPHINX_BUILD = @SPHINX_BUILD@
STRIP = @STRIP@
TEST_CFLAGS = @TEST_CFLAGS@
TEST_CXXFLAGS = @TEST_CXXFLAGS@
VERSION = @VERSION@
WINDOWS_LDFLAGS = @WINDOWS_LDFLAGS@
WINDOWS_LIBS = @WINDOWS_LIBS@
ZLIB_CFLAGS = @ZLIB_CFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
ZLIB_LIB_DIR = @ZLIB_LIB_DIR@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
examples_dictionarydir = @examples_dictionarydir@
examplesdir = @examplesdir@
exec_prefix = @exec_prefix@
expanded_pluginsdir = @expanded_pluginsdir@
expanded_relative_pluginsdir_base = @expanded_relative_pluginsdir_base@
expression_rewriter_pluginsdir = @expression_rewriter_pluginsdir@
function_pluginsdir = @function_pluginsdir@
grn_debug = @grn_debug@
grn_log_path = @grn_log_path@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgsysconfdir = @pkgsysconfdir@
pluginsdir = @pluginsdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
query_expander_pluginsdir = @query_expander_pluginsdir@
relative_pluginsdir = @relative_pluginsdir@
relative_pluginsdir_base = @relative_pluginsdir_base@
relative_ruby_scriptsdir = @relative_ruby_scriptsdir@
relative_ruby_scriptsdir_base = @relative_ruby_scriptsdir_base@
ruby_pluginsdir = @ruby_pluginsdir@
ruby_scriptsdir = @ruby_scriptsdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharding_pluginsdir = @sharding_pluginsdir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
suggest_pluginsdir = @suggest_pluginsdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
token_filter_pluginsdir = @token_filter_pluginsdir@
tokenizer_pluginsdir = @tokenizer_pluginsdir@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
SUBDIRS = \
	dat					\
	mrb					\
	proc

NONEXISTENT_CXX_SOURCE = nonexistent.cpp
lib_LTLIBRARIES = libgroonga.la
AM_CPPFLAGS = $(LUAJIT_CFLAGS) $(MRUBY_CPPFLAGS) $(am__append_1)
AM_CFLAGS = \
	$(NO_STRICT_ALIASING_CFLAGS)		\
	$(COVERAGE_CFLAGS)			\
	$(GRN_CFLAGS)				\
	$(MESSAGE_PACK_CFLAGS)			\
	$(ZLIB_CFLAGS)				\
	$(LIBLZ4_CFLAGS)			\
	$(LIBZSTD_CFLAGS)                       \
	$(LUAJIT_CFLAGS)			\
	$(APACHE_ARROW_CFLAGS)			\
	$(LIBXXHASH_CFLAGS)

AM_CXXFLAGS = \
	$(NO_STRICT_ALIASING_CFLAGS)		\
	$(COVERAGE_CFLAGS)			\
	$(GRN_CXXFLAGS)				\
	$(MESSAGE_PACK_CFLAGS)			\
	$(APACHE_ARROW_CFLAGS)			\
	$(RAPIDJSON_CFLAGS)

BUNDLED_LIBRARIES_CFLAGS = \
	$(MRUBY_CFLAGS)				\
	$(ONIGMO_CFLAGS)

DEFAULT_INCLUDES = \
	-I$(top_builddir)			\
	-I$(top_builddir)/include		\
	-I$(top_srcdir)/include			\
	$(BUNDLED_LIBRARIES_CFLAGS)

libgroonga_c_sources = \
	accessor.c				\
	aggregators.c				\
	alloc.c					\
	applier.c				\
	cache.c					\
	column.c				\
	com.c					\
	command.c				\
	compressor.c				\
	config.c				\
	ctx_impl_lua.c				\
	ctx_impl_mrb.c				\
	db.c					\
	dump.c					\
	encoding.c				\
	error.c					\
	expr.c					\
	expr_code.c				\
	extractor.c				\
	extractors.c				\
	file_lock.c				\
	file_reader.c				\
	float.c					\
	generated_column.c			\
	geo.c					\
	grn.h					\
	grn_accessor.h				\
	grn_aggregators.h			\
	grn_alloc.h				\
	grn_applier.h				\
	grn_arrow.h				\
	grn_bulk.h				\
	grn_cache.h				\
	grn_cast.h				\
	grn_column.h				\
	grn_com.h				\
	grn_compressor.h			\
	grn_config.h				\
	grn_ctx.h				\
	grn_ctx_impl.h				\
	grn_ctx_impl_lua.h			\
	grn_ctx_impl_mrb.h			\
	grn_dat.h				\
	grn_db.h				\
	grn_distance.h				\
	grn_encoding.h				\
	grn_error.h				\
	grn_expr.h				\
	grn_expr_code.h				\
	grn_expr_executor.h			\
	grn_extractor.h				\
	grn_extractors.h			\
	grn_file_lock.h				\
	grn_float.h				\
	grn_generated_column.h			\
	grn_geo.h				\
	grn_group.h				\
	grn_hash.h				\
	grn_http_client.h			\
	grn_ii.h				\
	grn_ii_select_cursor.h			\
	grn_index_column.h			\
	grn_index_cursor.h			\
	grn_io.h				\
	grn_load.h				\
	grn_logger.h				\
	grn_mrb.h				\
	grn_msgpack.h				\
	grn_nfkc.h				\
	grn_normalizer.h			\
	grn_obj.h				\
	grn_onigmo.h				\
	grn_options.h				\
	grn_output.h				\
	grn_output_columns.h			\
	grn_pat.h				\
	grn_plugin.h				\
	grn_portability.h			\
	grn_posting.h				\
	grn_proc.h				\
	grn_progress.h				\
	grn_progress_logger.h			\
	grn_report.h				\
	grn_request_canceler.h			\
	grn_request_timer.h			\
	grn_romaji.h				\
	grn_rset.h				\
	grn_scan_info.h				\
	grn_scanner.h				\
	grn_scorer.h				\
	grn_scorers.h				\
	grn_selector.h				\
	grn_slow_log.h				\
	grn_snip.h				\
	grn_sort.h				\
	grn_sorter.h				\
	grn_store.h				\
	grn_str.h				\
	grn_string.h				\
	grn_table.h				\
	grn_table_module.h			\
	grn_table_selector.h			\
	grn_time.h				\
	grn_token.h				\
	grn_token_column.h			\
	grn_token_cursor.h			\
	grn_token_filters.h			\
	grn_token_metadata.h			\
	grn_tokenizer.h				\
	grn_tokenizers.h			\
	grn_type.h				\
	grn_util.h				\
	grn_vector.h				\
	grn_wal.h				\
	grn_window_function.h			\
	grn_window_function_executor.h		\
	grn_window_functions.h			\
	grn_windows.h				\
	group.c					\
	h3.c					\
	hash.c					\
	highlighter.c				\
	http_client.c				\
	id.c					\
	index_column.c				\
	index_cursor.c				\
	io.c					\
	load.c					\
	logger.c				\
	memory.c				\
	memory_map.c				\
	mrb.c					\
	msgpack.c				\
	nfkc.c					\
	nfkc100.c				\
	nfkc121.c				\
	nfkc130.c				\
	nfkc150.c				\
	nfkc160.c				\
	nfkc50.c				\
	normalizer.c				\
	obj.c					\
	onigmo.c				\
	operator.c				\
	options.c				\
	output.c				\
	output_columns.c			\
	pat.c					\
	plugin.c				\
	posting.c				\
	proc.c					\
	progress.c				\
	progress_logger.c			\
	raw_string.c				\
	report.c				\
	request_canceler.c			\
	request_timer.c				\
	romaji.c				\
	rset.c					\
	scanner.c				\
	scorer.c				\
	scorers.c				\
	selector.c				\
	slow_log.c				\
	snip.c					\
	sort.c					\
	sorter.c				\
	store.c					\
	str.c					\
	string.c				\
	table.c					\
	table_module.c				\
	table_selector.c			\
	thread.c				\
	time.c					\
	token.c					\
	token_cursor.c				\
	token_filter.c				\
	token_filters.c				\
	token_metadata.c			\
	tokenizer.c				\
	tokenizers.c				\
	type.c					\
	util.c					\
	wal.c					\
	window_function.c			\
	window_functions.c			\
	windows.c				\
	windows_event_logger.c

libgroonga_cpp_source = \
	arrow.cpp				\
	bulk.cpp				\
	cast.cpp				\
	command_arguments.cpp			\
	ctx.cpp					\
	dat.cpp					\
	db_wal_recover.cpp			\
	distance.cpp				\
	expr_executor.cpp			\
	grn_arrow.hpp				\
	grn_ctx.hpp				\
	grn_distance.hpp			\
	grn_distance_impl.hpp			\
	grn_distance_instantiation.hpp		\
	grn_language_model.hpp			\
	grn_task_executor.hpp			\
	ii.cpp					\
	json.cpp				\
	language_model.cpp			\
	portability.cpp				\
	token_column.cpp			\
	trace_log.cpp				\
	vector.cpp				\
	window_function_executor.cpp

libgroonga_la_SOURCES = $(libgroonga_c_sources) \
	$(libgroonga_cpp_source) $(am__append_3)

#nfkc.c:
#	$(RUBY) nfkc.rb --impl=table
libgroonga_la_LDFLAGS = \
	-version-info $(LT_VERSION_INFO)	\
	-no-undefined				\
	$(WINDOWS_LDFLAGS)

libgroonga_la_LIBADD = dat/libgrndat.la mrb/libgrnmrb.la \
	proc/libgrnproc.la $(MESSAGE_PACK_LIBS) $(am__append_2) \
	$(ONIGMO_LIBS) $(ZLIB_LIBS) $(LIBLZ4_LIBS) $(LIBZSTD_LIBS) \
	$(ATOMIC_LIBS) $(APACHE_ARROW_LIBS) $(WINDOWS_LIBS) \
	$(LUAJIT_LIBS) $(LIBXXHASH_LIBS)
nfkc_dump_SOURCES = \
	nfkc_dump.c

nfkc_dump_LDADD = \
	libgroonga.la

nodist_EXTRA_nfkc_dump_SOURCES = $(NONEXISTENT_CXX_SOURCE)
@WITH_LEMON_TRUE@BUILT_SOURCES = \
@WITH_LEMON_TRUE@	grn_ecmascript.c

@WITH_LEMON_TRUE@SUFFIXES = .lemon .c
EXTRA_DIST = \
	CMakeLists.txt					\
	GroongaConfig.cmake.in				\
	distance_avx.cpp				\
	distance_avx2.cpp				\
	distance_avx512.cpp				\
	distance_common.cpp				\
	distance_neon64.cpp				\
	grn_ecmascript.c				\
	grn_ecmascript.h				\
	grn_ecmascript.lemon				\
	nfkc.rb						\
	normalizer_html_expand_named_char_ref.c		\
	normalizer_html_expand_named_char_ref.rb

CLEANFILES = *.gcno *.gcda
ICU_VERSION_HYPHEN = $$(echo $(ICU_VERSION) | sed -e 's/_/-/g')
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
.SUFFIXES: .lemon .c .cpp .lo .o .obj .rc
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/version.sh $(srcdir)/c_sources.am $(srcdir)/cpp_sources.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign lib/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/version.sh $(srcdir)/c_sources.am $(srcdir)/cpp_sources.am $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
metadata.rc: $(top_builddir)/config.status $(srcdir)/metadata.rc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libgroonga.la: $(libgroonga_la_OBJECTS) $(libgroonga_la_DEPENDENCIES) $(EXTRA_libgroonga_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(libgroonga_la_LINK) -rpath $(libdir) $(libgroonga_la_OBJECTS) $(libgroonga_la_LIBADD) $(LIBS)

nfkc_dump$(EXEEXT): $(nfkc_dump_OBJECTS) $(nfkc_dump_DEPENDENCIES) $(EXTRA_nfkc_dump_DEPENDENCIES) 
	@rm -f nfkc_dump$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(nfkc_dump_OBJECTS) $(nfkc_dump_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/accessor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aggregators.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alloc.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/applier.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arrow.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bulk.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cache.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cast.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/column.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/com.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command_arguments.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compressor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/config.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctx.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctx_impl_lua.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ctx_impl_mrb.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dat.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/db.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/db_wal_recover.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/distance.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/encoding.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr_code.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr_executor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extractor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/extractors.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_lock.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_reader.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/float.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/generated_column.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/geo.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/group.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/h3.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/highlighter.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/http_client.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/id.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ii.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/index_column.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/index_cursor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/io.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/json.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/language_model.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/load.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logger.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memory.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memory_map.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mrb.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msgpack.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc100.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc121.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc130.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc150.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc160.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc50.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfkc_dump.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nonexistent.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/normalizer.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obj.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/onigmo.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/operator.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output_columns.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pat.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/plugin.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/portability.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/posting.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/proc.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/progress.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/progress_logger.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/raw_string.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/report.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/request_canceler.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/request_timer.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/romaji.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rset.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scanner.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scorer.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scorers.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selector.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/slow_log.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snip.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sort.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sorter.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/store.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/str.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/table.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/table_module.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/table_selector.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/thread.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token_column.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token_cursor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token_filter.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token_filters.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/token_metadata.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tokenizer.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tokenizers.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_log.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/type.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wal.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/window_function.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/window_function_executor.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/window_functions.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/windows.Plo@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/windows_event_logger.Plo@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

.cpp.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"
markdown-local: 
text-local: 

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS) $(LTLIBRARIES)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(libdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive

clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
	clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-recursive
		-rm -f ./$(DEPDIR)/accessor.Plo
	-rm -f ./$(DEPDIR)/aggregators.Plo
	-rm -f ./$(DEPDIR)/alloc.Plo
	-rm -f ./$(DEPDIR)/applier.Plo
	-rm -f ./$(DEPDIR)/arrow.Plo
	-rm -f ./$(DEPDIR)/bulk.Plo
	-rm -f ./$(DEPDIR)/cache.Plo
	-rm -f ./$(DEPDIR)/cast.Plo
	-rm -f ./$(DEPDIR)/column.Plo
	-rm -f ./$(DEPDIR)/com.Plo
	-rm -f ./$(DEPDIR)/command.Plo
	-rm -f ./$(DEPDIR)/command_arguments.Plo
	-rm -f ./$(DEPDIR)/compressor.Plo
	-rm -f ./$(DEPDIR)/config.Plo
	-rm -f ./$(DEPDIR)/ctx.Plo
	-rm -f ./$(DEPDIR)/ctx_impl_lua.Plo
	-rm -f ./$(DEPDIR)/ctx_impl_mrb.Plo
	-rm -f ./$(DEPDIR)/dat.Plo
	-rm -f ./$(DEPDIR)/db.Plo
	-rm -f ./$(DEPDIR)/db_wal_recover.Plo
	-rm -f ./$(DEPDIR)/distance.Plo
	-rm -f ./$(DEPDIR)/dump.Plo
	-rm -f ./$(DEPDIR)/encoding.Plo
	-rm -f ./$(DEPDIR)/error.Plo
	-rm -f ./$(DEPDIR)/expr.Plo
	-rm -f ./$(DEPDIR)/expr_code.Plo
	-rm -f ./$(DEPDIR)/expr_executor.Plo
	-rm -f ./$(DEPDIR)/extractor.Plo
	-rm -f ./$(DEPDIR)/extractors.Plo
	-rm -f ./$(DEPDIR)/file_lock.Plo
	-rm -f ./$(DEPDIR)/file_reader.Plo
	-rm -f ./$(DEPDIR)/float.Plo
	-rm -f ./$(DEPDIR)/generated_column.Plo
	-rm -f ./$(DEPDIR)/geo.Plo
	-rm -f ./$(DEPDIR)/group.Plo
	-rm -f ./$(DEPDIR)/h3.Plo
	-rm -f ./$(DEPDIR)/hash.Plo
	-rm -f ./$(DEPDIR)/highlighter.Plo
	-rm -f ./$(DEPDIR)/http_client.Plo
	-rm -f ./$(DEPDIR)/id.Plo
	-rm -f ./$(DEPDIR)/ii.Plo
	-rm -f ./$(DEPDIR)/index_column.Plo
	-rm -f ./$(DEPDIR)/index_cursor.Plo
	-rm -f ./$(DEPDIR)/io.Plo
	-rm -f ./$(DEPDIR)/json.Plo
	-rm -f ./$(DEPDIR)/language_model.Plo
	-rm -f ./$(DEPDIR)/load.Plo
	-rm -f ./$(DEPDIR)/logger.Plo
	-rm -f ./$(DEPDIR)/memory.Plo
	-rm -f ./$(DEPDIR)/memory_map.Plo
	-rm -f ./$(DEPDIR)/mrb.Plo
	-rm -f ./$(DEPDIR)/msgpack.Plo
	-rm -f ./$(DEPDIR)/nfkc.Plo
	-rm -f ./$(DEPDIR)/nfkc100.Plo
	-rm -f ./$(DEPDIR)/nfkc121.Plo
	-rm -f ./$(DEPDIR)/nfkc130.Plo
	-rm -f ./$(DEPDIR)/nfkc150.Plo
	-rm -f ./$(DEPDIR)/nfkc160.Plo
	-rm -f ./$(DEPDIR)/nfkc50.Plo
	-rm -f ./$(DEPDIR)/nfkc_dump.Po
	-rm -f ./$(DEPDIR)/nonexistent.Po
	-rm -f ./$(DEPDIR)/normalizer.Plo
	-rm -f ./$(DEPDIR)/obj.Plo
	-rm -f ./$(DEPDIR)/onigmo.Plo
	-rm -f ./$(DEPDIR)/operator.Plo
	-rm -f ./$(DEPDIR)/options.Plo
	-rm -f ./$(DEPDIR)/output.Plo
	-rm -f ./$(DEPDIR)/output_columns.Plo
	-rm -f ./$(DEPDIR)/pat.Plo
	-rm -f ./$(DEPDIR)/plugin.Plo
	-rm -f ./$(DEPDIR)/portability.Plo
	-rm -f ./$(DEPDIR)/posting.Plo
	-rm -f ./$(DEPDIR)/proc.Plo
	-rm -f ./$(DEPDIR)/progress.Plo
	-rm -f ./$(DEPDIR)/progress_logger.Plo
	-rm -f ./$(DEPDIR)/raw_string.Plo
	-rm -f ./$(DEPDIR)/report.Plo
	-rm -f ./$(DEPDIR)/request_canceler.Plo
	-rm -f ./$(DEPDIR)/request_timer.Plo
	-rm -f ./$(DEPDIR)/romaji.Plo
	-rm -f ./$(DEPDIR)/rset.Plo
	-rm -f ./$(DEPDIR)/scanner.Plo
	-rm -f ./$(DEPDIR)/scorer.Plo
	-rm -f ./$(DEPDIR)/scorers.Plo
	-rm -f ./$(DEPDIR)/selector.Plo
	-rm -f ./$(DEPDIR)/slow_log.Plo
	-rm -f ./$(DEPDIR)/snip.Plo
	-rm -f ./$(DEPDIR)/sort.Plo
	-rm -f ./$(DEPDIR)/sorter.Plo
	-rm -f ./$(DEPDIR)/store.Plo
	-rm -f ./$(DEPDIR)/str.Plo
	-rm -f ./$(DEPDIR)/string.Plo
	-rm -f ./$(DEPDIR)/table.Plo
	-rm -f ./$(DEPDIR)/table_module.Plo
	-rm -f ./$(DEPDIR)/table_selector.Plo
	-rm -f ./$(DEPDIR)/thread.Plo
	-rm -f ./$(DEPDIR)/time.Plo
	-rm -f ./$(DEPDIR)/token.Plo
	-rm -f ./$(DEPDIR)/token_column.Plo
	-rm -f ./$(DEPDIR)/token_cursor.Plo
	-rm -f ./$(DEPDIR)/token_filter.Plo
	-rm -f ./$(DEPDIR)/token_filters.Plo
	-rm -f ./$(DEPDIR)/token_metadata.Plo
	-rm -f ./$(DEPDIR)/tokenizer.Plo
	-rm -f ./$(DEPDIR)/tokenizers.Plo
	-rm -f ./$(DEPDIR)/trace_log.Plo
	-rm -f ./$(DEPDIR)/type.Plo
	-rm -f ./$(DEPDIR)/util.Plo
	-rm -f ./$(DEPDIR)/vector.Plo
	-rm -f ./$(DEPDIR)/wal.Plo
	-rm -f ./$(DEPDIR)/window_function.Plo
	-rm -f ./$(DEPDIR)/window_function_executor.Plo
	-rm -f ./$(DEPDIR)/window_functions.Plo
	-rm -f ./$(DEPDIR)/windows.Plo
	-rm -f ./$(DEPDIR)/windows_event_logger.Plo
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am:

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am: install-libLTLIBRARIES

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
		-rm -f ./$(DEPDIR)/accessor.Plo
	-rm -f ./$(DEPDIR)/aggregators.Plo
	-rm -f ./$(DEPDIR)/alloc.Plo
	-rm -f ./$(DEPDIR)/applier.Plo
	-rm -f ./$(DEPDIR)/arrow.Plo
	-rm -f ./$(DEPDIR)/bulk.Plo
	-rm -f ./$(DEPDIR)/cache.Plo
	-rm -f ./$(DEPDIR)/cast.Plo
	-rm -f ./$(DEPDIR)/column.Plo
	-rm -f ./$(DEPDIR)/com.Plo
	-rm -f ./$(DEPDIR)/command.Plo
	-rm -f ./$(DEPDIR)/command_arguments.Plo
	-rm -f ./$(DEPDIR)/compressor.Plo
	-rm -f ./$(DEPDIR)/config.Plo
	-rm -f ./$(DEPDIR)/ctx.Plo
	-rm -f ./$(DEPDIR)/ctx_impl_lua.Plo
	-rm -f ./$(DEPDIR)/ctx_impl_mrb.Plo
	-rm -f ./$(DEPDIR)/dat.Plo
	-rm -f ./$(DEPDIR)/db.Plo
	-rm -f ./$(DEPDIR)/db_wal_recover.Plo
	-rm -f ./$(DEPDIR)/distance.Plo
	-rm -f ./$(DEPDIR)/dump.Plo
	-rm -f ./$(DEPDIR)/encoding.Plo
	-rm -f ./$(DEPDIR)/error.Plo
	-rm -f ./$(DEPDIR)/expr.Plo
	-rm -f ./$(DEPDIR)/expr_code.Plo
	-rm -f ./$(DEPDIR)/expr_executor.Plo
	-rm -f ./$(DEPDIR)/extractor.Plo
	-rm -f ./$(DEPDIR)/extractors.Plo
	-rm -f ./$(DEPDIR)/file_lock.Plo
	-rm -f ./$(DEPDIR)/file_reader.Plo
	-rm -f ./$(DEPDIR)/float.Plo
	-rm -f ./$(DEPDIR)/generated_column.Plo
	-rm -f ./$(DEPDIR)/geo.Plo
	-rm -f ./$(DEPDIR)/group.Plo
	-rm -f ./$(DEPDIR)/h3.Plo
	-rm -f ./$(DEPDIR)/hash.Plo
	-rm -f ./$(DEPDIR)/highlighter.Plo
	-rm -f ./$(DEPDIR)/http_client.Plo
	-rm -f ./$(DEPDIR)/id.Plo
	-rm -f ./$(DEPDIR)/ii.Plo
	-rm -f ./$(DEPDIR)/index_column.Plo
	-rm -f ./$(DEPDIR)/index_cursor.Plo
	-rm -f ./$(DEPDIR)/io.Plo
	-rm -f ./$(DEPDIR)/json.Plo
	-rm -f ./$(DEPDIR)/language_model.Plo
	-rm -f ./$(DEPDIR)/load.Plo
	-rm -f ./$(DEPDIR)/logger.Plo
	-rm -f ./$(DEPDIR)/memory.Plo
	-rm -f ./$(DEPDIR)/memory_map.Plo
	-rm -f ./$(DEPDIR)/mrb.Plo
	-rm -f ./$(DEPDIR)/msgpack.Plo
	-rm -f ./$(DEPDIR)/nfkc.Plo
	-rm -f ./$(DEPDIR)/nfkc100.Plo
	-rm -f ./$(DEPDIR)/nfkc121.Plo
	-rm -f ./$(DEPDIR)/nfkc130.Plo
	-rm -f ./$(DEPDIR)/nfkc150.Plo
	-rm -f ./$(DEPDIR)/nfkc160.Plo
	-rm -f ./$(DEPDIR)/nfkc50.Plo
	-rm -f ./$(DEPDIR)/nfkc_dump.Po
	-rm -f ./$(DEPDIR)/nonexistent.Po
	-rm -f ./$(DEPDIR)/normalizer.Plo
	-rm -f ./$(DEPDIR)/obj.Plo
	-rm -f ./$(DEPDIR)/onigmo.Plo
	-rm -f ./$(DEPDIR)/operator.Plo
	-rm -f ./$(DEPDIR)/options.Plo
	-rm -f ./$(DEPDIR)/output.Plo
	-rm -f ./$(DEPDIR)/output_columns.Plo
	-rm -f ./$(DEPDIR)/pat.Plo
	-rm -f ./$(DEPDIR)/plugin.Plo
	-rm -f ./$(DEPDIR)/portability.Plo
	-rm -f ./$(DEPDIR)/posting.Plo
	-rm -f ./$(DEPDIR)/proc.Plo
	-rm -f ./$(DEPDIR)/progress.Plo
	-rm -f ./$(DEPDIR)/progress_logger.Plo
	-rm -f ./$(DEPDIR)/raw_string.Plo
	-rm -f ./$(DEPDIR)/report.Plo
	-rm -f ./$(DEPDIR)/request_canceler.Plo
	-rm -f ./$(DEPDIR)/request_timer.Plo
	-rm -f ./$(DEPDIR)/romaji.Plo
	-rm -f ./$(DEPDIR)/rset.Plo
	-rm -f ./$(DEPDIR)/scanner.Plo
	-rm -f ./$(DEPDIR)/scorer.Plo
	-rm -f ./$(DEPDIR)/scorers.Plo
	-rm -f ./$(DEPDIR)/selector.Plo
	-rm -f ./$(DEPDIR)/slow_log.Plo
	-rm -f ./$(DEPDIR)/snip.Plo
	-rm -f ./$(DEPDIR)/sort.Plo
	-rm -f ./$(DEPDIR)/sorter.Plo
	-rm -f ./$(DEPDIR)/store.Plo
	-rm -f ./$(DEPDIR)/str.Plo
	-rm -f ./$(DEPDIR)/string.Plo
	-rm -f ./$(DEPDIR)/table.Plo
	-rm -f ./$(DEPDIR)/table_module.Plo
	-rm -f ./$(DEPDIR)/table_selector.Plo
	-rm -f ./$(DEPDIR)/thread.Plo
	-rm -f ./$(DEPDIR)/time.Plo
	-rm -f ./$(DEPDIR)/token.Plo
	-rm -f ./$(DEPDIR)/token_column.Plo
	-rm -f ./$(DEPDIR)/token_cursor.Plo
	-rm -f ./$(DEPDIR)/token_filter.Plo
	-rm -f ./$(DEPDIR)/token_filters.Plo
	-rm -f ./$(DEPDIR)/token_metadata.Plo
	-rm -f ./$(DEPDIR)/tokenizer.Plo
	-rm -f ./$(DEPDIR)/tokenizers.Plo
	-rm -f ./$(DEPDIR)/trace_log.Plo
	-rm -f ./$(DEPDIR)/type.Plo
	-rm -f ./$(DEPDIR)/util.Plo
	-rm -f ./$(DEPDIR)/vector.Plo
	-rm -f ./$(DEPDIR)/wal.Plo
	-rm -f ./$(DEPDIR)/window_function.Plo
	-rm -f ./$(DEPDIR)/window_function_executor.Plo
	-rm -f ./$(DEPDIR)/window_functions.Plo
	-rm -f ./$(DEPDIR)/windows.Plo
	-rm -f ./$(DEPDIR)/windows_event_logger.Plo
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

markdown: markdown-recursive

markdown-am: markdown-local

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

text: text-recursive

text-am: text-local

uninstall-am: uninstall-libLTLIBRARIES

.MAKE: $(am__recursive_targets) all check install install-am \
	install-exec install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
	am--depfiles check check-am clean clean-generic \
	clean-libLTLIBRARIES clean-libtool clean-noinstPROGRAMS \
	cscopelist-am ctags ctags-am distclean distclean-compile \
	distclean-generic distclean-libtool distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-libLTLIBRARIES \
	install-man install-pdf install-pdf-am install-ps \
	install-ps-am install-strip installcheck installcheck-am \
	installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic markdown-am markdown-local \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am text-am \
	text-local uninstall uninstall-am uninstall-libLTLIBRARIES

.PRECIOUS: Makefile


@WITH_LEMON_TRUE@.lemon.c:
@WITH_LEMON_TRUE@	$(LEMON) $<

@PLATFORM_WIN32_TRUE@.rc.lo:
@PLATFORM_WIN32_TRUE@	$(LIBTOOL) $(AM_V_lt) --tag=RC		\
@PLATFORM_WIN32_TRUE@	  $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS)	\
@PLATFORM_WIN32_TRUE@	  --mode=compile			\
@PLATFORM_WIN32_TRUE@	  $(RC) $(RCFLAGS) -o $@ $<

icu4c-$(ICU_VERSION)-src.tgz:
	if [ -z "$(ICU_VERSION)" ]; then	\
	  echo "Must define ICU_VERSION";	\
	  false;				\
	fi
	wget \
	  https://github.com/unicode-org/icu/releases/download/release-$(ICU_VERSION_HYPHEN)/icu4c-$(ICU_VERSION)-src.tgz
	rm -rf tmp/icu/

tmp/icu/: icu4c-$(ICU_VERSION)-src.tgz
	tar xvf

tmp/icu-$(ICU_VERSION)/local/: icu4c-$(ICU_VERSION)-src.tgz
	rm -rf tmp/icu/
	mkdir -p tmp
	cd tmp && tar xf ../icu4c-$(ICU_VERSION)-src.tgz
	cd tmp/icu/source && \
	  ./configure --prefix=$$PWD/../../icu-$(ICU_VERSION)/local
	cd tmp/icu/source && $(MAKE) $(MAKEFLAGS)
	cd tmp/icu/source && $(MAKE) $(MAKEFLAGS) install

update-nfkc: tmp/icu-$(ICU_VERSION)/local/
	ICU_HOME=$$PWD/tmp/icu-$(ICU_VERSION)/local \
	  $(RUBY) $(srcdir)/nfkc.rb \
	    --source-directory=$(srcdir)

# TODO: Implement this in CMakeLists.txt too
entities.json:
	wget https://html.spec.whatwg.org/entities.json

update-normalizer-html-expand-named-char-ref: entities.json
	$(RUBY) $(srcdir)/normalizer_html_expand_named_char_ref.rb > \
	    $(srcdir)/normalizer_html_expand_named_char_ref.c

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
